
<div [hidden]="!showGame" class="grid-background">
    <mat-card class="card">
    <p style="padding-left:10px; padding-bottom: 10px;">Select gen: </p>
    <button *ngFor="let gen of genlist"(click)="selectGen(gen)" mat-raised-button>{{gen}}</button>
    <button (click)="selectGen(0)" mat-raised-button>All generations</button>
</mat-card>
</div>

    <app-guessing *ngIf="!showGame" (roundFinish)="reloadGameSelect()" [gen]="gen"></app-guessing>